## UHD screen

~~~
!!!
https://forum.xfce.org/viewtopic.php?id=13617
a essayer : xfconf-query -c xsettings -p /Gdk/WindowScalingFactor -s 2
xfconf-query -c xsettings -p /Gdk/WindowScalingFactor -s 2
~~~

### taille de police GTK2

to do

### taille des police applis

* inkscape : add official repository : *deb http://ppa.launchpad.net/inkscape.dev/stable/ubuntu focal main* to have last stable release 1.0+r73+1 which support UHD display
* gimp : not completly solve : Menu -> Edition -> Preferences -> Interface -> Icon Theme -> [here at the bottom : choose Custom Icon Size : Hudge]
* spotify : modify menu launche like this : spotify --force-device-scale-factor=1.8 %U
* blender : Menu -> edit -> Prefereences -> Resolution Scale : 1.8

### Changer la taille de police dans les applications Qt sous Xfce

#### source

* [ezvan.fr - Changer la taille de police dans les applications Qt sous Xfce](https://www.ezvan.fr/taille-police-qt.html)  
* [wiki.archlinux.org - X resources](https://wiki.archlinux.org/index.php/x_resources)

editer : ~/.Xresources : Ce fichier est utilisé par le serveur X pour configurer ses applications clientes.  

~~~{.shell}
!-------------------------------------------------------------------------------
! Xft settings
!-------------------------------------------------------------------------------

Xft.dpi:        240
Xft.antialias:  true
Xft.rgba:       rgb
Xft.hinting:    true
Xft.hintstyle:  hintslight
Xft.autohint:   false
Xft.lcdfilter:  lcddefault
~~~

Il faut ensuite utiliser la commande xrdb pour appliquer ces paramètres :

~~~{.shell}
$ xrdb -merge ~/.Xresources
~~~

You can add this in your auto-start application list: 

~~~
/usr/bin/xrdb -merge /home/nomad/.Xresources
~~~

### console grub ...

Boot menu uses a tiny font (GRUB menu).

Best way to address this would be to have GRUB automatically select the right font, but GRUB is kept small on purpose, or to install a larger GRUB font when installing Ubuntu.

Workaround: let the default GRUB terminal driver, gfxterm, switch to a supported mode such as 1600x1200 (NB to list video modes, disable secure mode in the BIOS and run the videoinfo command in the GRUB shell accessed by pressing "c" from the GRUB menu):

~~~ 
GRUB_GFXMODE=1280x1024
~~~

~~~
update-grub 
~~~

Splash screen uses too small logo and somewhat too small fonts (Plymouth).

Plymouth has logic to detect the proper scaling to apply, but it's still too small; workaround by forcing the scale on the kernel cmdline:

Add to GRUB_CMDLINE_LINUX in /etc/default/grub.

~~~
plymouth.force-scale=3
~~~

~~~
update-grub 
~~~

Console terminal uses too small fonts.

Note that the package shipping the Ubuntu Monospace font for the terminal, fonts-ubuntu-console, is not installed by default and only ships 8x16 fonts.

Change the font by running :

~~~
dpkg-reconfigure console-setup
~~~

select a font face that supports a larger font size, for instance the Terminus font, and select a large font size such as 16x32; you need to reboot for the new font to be set.

